Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# irrList.h File Reference

`#include "irrTypes.h"`
`#include "irrAllocator.h"`
`#include "irrMath.h"`

Go to the source code of this file.

## Classes
class | irr::core::list< T >::ConstIterator
| List iterator for const access. More...
class | irr::core::list< T >::Iterator
| List iterator. More...
class | irr::core::list< T >
| Doubly linked list template. More...
struct | irr::core::list< T >::SKListNode
| List element node with pointer to previous and next element in the list.
## Namespaces
namespace | irr

| Everything in the Irrlicht Engine can be found in this namespace.
namespace | irr::core

| Basic classes such as vectors, planes, arrays, lists, and so on can be found in this namespace.

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Oct 24 12:41:58 2010 by Doxygen (1.6.2)